//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <IniFiles.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
  TMemo *Source;
  TMemo *Destination;
  TButton *PasteButton;
  TButton *CopyButton;
  TButton *GoButton;
  TLabel *Label1;
  TLabel *Label2;
  TComboBox *LangBox;
  TComboBox *LfBox;
  TLabel *Label3;
  TButton *AboutButton;
  void __fastcall PasteButtonClick(TObject *Sender);
  void __fastcall CopyButtonClick(TObject *Sender);
  void __fastcall GoButtonClick(TObject *Sender);
  void __fastcall FormShow(TObject *Sender);
  void __fastcall LangBoxChange(TObject *Sender);
  void __fastcall AboutButtonClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  bool AlreadyShown;
  AnsiString IniFileName;
  __fastcall TForm1(TComponent* Owner);
    void SetLang(void);
    bool LoadIniFile(void);
    void SaveIniFile(void);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
